/**
 * @file test_data_pool.cpp
 * @brief Unit tests for DataPool component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "data_pool.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_data_pool_initialize(void)
{
    DataPool comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_data_pool_deinitialize(void)
{
    DataPool comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
